summaryrefslogtreecommitdiffstats
path: root/package/base-files/default/sbin/hotplug
diff options
context:
space:
mode:
Diffstat (limited to 'package/base-files/default/sbin/hotplug')
-rwxr-xr-xpackage/base-files/default/sbin/hotplug6
1 files changed, 5 insertions, 1 deletions
diff --git a/package/base-files/default/sbin/hotplug b/package/base-files/default/sbin/hotplug
index 4e009593a..e53b2afcc 100755
--- a/package/base-files/default/sbin/hotplug
+++ b/package/base-files/default/sbin/hotplug
@@ -1,7 +1,11 @@
#!/bin/sh
+[ -e /tmp/.failsafe ] && {
+ export FAILSAFE=true
+} || {
+ [ -e /etc/config/network ] && . /etc/config/network
+}
. /etc/functions.sh
. /etc/network.overrides
-[ "$FAILSAFE" != "true" -a -e /etc/config/network ] && . /etc/config/network
PATH=/bin:/sbin:/usr/bin:/usr/sbin
LOGNAME=root